/*
 *
 *  Iter Vehemens ad Necem (IVAN)
 *  Copyright (C) Timo Kiviluoto
 *  Released under the GNU General
 *  Public License
 *
 *  See LICENSING which should be included
 *  along with this file for more details
 *
 */

#ifndef __CONFDEF_H__
#define __CONFDEF_H__

/*
 * Configuration defines of IVAN
 */

#ifndef GCONST
# define GCONST(name_)  (game::GetGlobalConst(#name_))
#endif


#define SOLID_ID              GCONST(SOLID_ID)
#define VALPURIUM             GCONST(VALPURIUM)
#define GRAVEL                GCONST(GRAVEL)
#define MORAINE               GCONST(MORAINE)
#define OCTIRON               GCONST(OCTIRON)
#define GLASS                 GCONST(GLASS)
#define PARCHMENT             GCONST(PARCHMENT)
#define MITHRIL               GCONST(MITHRIL)
#define MARBLE                GCONST(MARBLE)
#define GOLD                  GCONST(GOLD)
#define GRASS                 GCONST(GRASS)
#define LEATHER               GCONST(LEATHER)
#define LEAF                  GCONST(LEAF)
#define FABRIC                GCONST(FABRIC)
#define PALM_LEAF             GCONST(PALM_LEAF)
#define SULFUR                GCONST(SULFUR)
#define UNICORN_HORN          GCONST(UNICORN_HORN)
#define DIAMOND               GCONST(DIAMOND)
#define SILVER                GCONST(SILVER)
#define SAPPHIRE              GCONST(SAPPHIRE)
#define RUBY                  GCONST(RUBY)
#define BRONZE                GCONST(BRONZE)
#define COPPER                GCONST(COPPER)
#define TIN                   GCONST(TIN)
#define SPIDER_SILK           GCONST(SPIDER_SILK)
#define KEVLAR                GCONST(KEVLAR)
#define OMMEL_HAIR            GCONST(OMMEL_HAIR)
#define HARDENED_LEATHER      GCONST(HARDENED_LEATHER)
#define TROLL_HIDE            GCONST(TROLL_HIDE)
#define NYMPH_HAIR            GCONST(NYMPH_HAIR)
#define ANGEL_HAIR            GCONST(ANGEL_HAIR)
#define PHOENIX_FEATHER       GCONST(PHOENIX_FEATHER)
#define GOLDEN_EAGLE_FEATHER  GCONST(GOLDEN_EAGLE_FEATHER)
#define ICE                   GCONST(ICE)
#define DRAGON_HIDE           GCONST(DRAGON_HIDE)
#define ARCANITE              GCONST(ARCANITE)
#define ILLITHIUM             GCONST(ILLITHIUM)
#define BALSA_WOOD            GCONST(BALSA_WOOD)
#define PINE_WOOD             GCONST(PINE_WOOD)
#define FIR_WOOD              GCONST(FIR_WOOD)
#define BIRCH_WOOD            GCONST(BIRCH_WOOD)
#define OAK_WOOD              GCONST(OAK_WOOD)
#define TEAK_WOOD             GCONST(TEAK_WOOD)
#define EBONY_WOOD            GCONST(EBONY_WOOD)
#define BLUE_CRYSTAL          GCONST(BLUE_CRYSTAL)
#define PURPLE_CRYSTAL        GCONST(PURPLE_CRYSTAL)
#define GREEN_CRYSTAL         GCONST(GREEN_CRYSTAL)
#define MAGIC_CRYSTAL         GCONST(MAGIC_CRYSTAL)
#define SAND_STONE            GCONST(SAND_STONE)
#define LIME_STONE            GCONST(LIME_STONE)
#define CALCITE               GCONST(CALCITE)
#define OBSIDIAN              GCONST(OBSIDIAN)
#define GNEISS                GCONST(GNEISS)
#define SLATE                 GCONST(SLATE)
#define GRANITE               GCONST(GRANITE)
#define BASALT                GCONST(BASALT)
#define MILKY_QUARTZ          GCONST(MILKY_QUARTZ)
#define FLINT                 GCONST(FLINT)
#define QUARTZITE             GCONST(QUARTZITE)
#define AMETHYST              GCONST(AMETHYST)
#define CITRINE               GCONST(CITRINE)
#define ROSE_QUARTZ           GCONST(ROSE_QUARTZ)
#define JASPER                GCONST(JASPER)
#define ROCK_CRYSTAL          GCONST(ROCK_CRYSTAL)
#define DARK_GRASS            GCONST(DARK_GRASS)
#define LEAD                  GCONST(LEAD)
#define BLACK_GRANITE         GCONST(BLACK_GRANITE)
#define BLACK_LEATHER         GCONST(BLACK_LEATHER)

#define FLAWLESS_DIAMOND    GCONST(FLAWLESS_DIAMOND)
#define EMERALD             GCONST(EMERALD)
#define SUN_CRYSTAL         GCONST(SUN_CRYSTAL)
#define BLACK_DIAMOND       GCONST(BLACK_DIAMOND)
#define PSYPHER             GCONST(PSYPHER)
#define EXTRA_HARD_BASALT   GCONST(EXTRA_HARD_BASALT)
#define WEAK_GLASS          GCONST(WEAK_GLASS)

#define DEAD_GRASS      GCONST(DEAD_GRASS)
#define KAURI_WOOD      GCONST(KAURI_WOOD)
#define RATA_WOOD       GCONST(RATA_WOOD)
#define NEPHRITE        GCONST(NEPHRITE)
#define HESSIAN_CLOTH   GCONST(HESSIAN_CLOTH)


#define ORGANIC_ID          GCONST(ORGANIC_ID)
#define BANANA_FLESH        GCONST(BANANA_FLESH)
#define SCHOOL_FOOD         GCONST(SCHOOL_FOOD)
#define BANANA_PEEL         GCONST(BANANA_PEEL)
#define KIWI_FLESH          GCONST(KIWI_FLESH)
#define PINEAPPLE_FLESH     GCONST(PINEAPPLE_FLESH)
#define PLANT_FIBER         GCONST(PLANT_FIBER)
#define MUTANT_PLANT_FIBER  GCONST(MUTANT_PLANT_FIBER)
#define BONE                GCONST(BONE)
#define HOLY_BANANA_FLESH   GCONST(HOLY_BANANA_FLESH)
#define CARROT_FLESH        GCONST(CARROT_FLESH)
#define OMMEL_CERUMEN       GCONST(OMMEL_CERUMEN)
#define OMMEL_BONE          GCONST(OMMEL_BONE)
#define OMMEL_TOOTH         GCONST(OMMEL_TOOTH)
#define RYE_BREAD           GCONST(RYE_BREAD)
#define MANGO_FLESH         GCONST(MANGO_FLESH)
#define HOLY_MANGO_FLESH    GCONST(HOLY_MANGO_FLESH)


#define GAS_ID                    GCONST(GAS_ID)
#define AIR                       GCONST(AIR)
#define MAGICAL_AIR               GCONST(MAGICAL_AIR)
#define SMOKE                     GCONST(SMOKE)
#define SKUNK_SMELL               GCONST(SKUNK_SMELL)
#define ECTOPLASM_GAS             GCONST(ECTOPLASM_GAS)
#define MAGIC_VAPOUR              GCONST(MAGIC_VAPOUR)
#define EVIL_WONDER_STAFF_VAPOUR  GCONST(EVIL_WONDER_STAFF_VAPOUR)
#define GOOD_WONDER_STAFF_VAPOUR  GCONST(GOOD_WONDER_STAFF_VAPOUR)
#define FART                      GCONST(FART)
#define MUSTARD_GAS               GCONST(MUSTARD_GAS)
#define ACID_GAS                  GCONST(ACID_GAS)
#define SLEEPING_GAS              GCONST(SLEEPING_GAS)
#define TELEPORT_GAS              GCONST(TELEPORT_GAS)
#define VACUUM_BLADE_AIR          GCONST(VACUUM_BLADE_AIR)
#define VACUUM                    GCONST(VACUUM)

#define FIRST_GAS           GCONST(FIRST_GAS)
#define LAST_GAS            GCONST(LAST_GAS)

//#define LIQUID_ID (4 << 12)
#define LIQUID_ID             GCONST(LIQUID_ID)
#define OMMEL_URINE           GCONST(OMMEL_URINE)
#define PEPSI                 GCONST(PEPSI)
#define WATER                 GCONST(WATER)
#define HEALING_LIQUID        GCONST(HEALING_LIQUID)
#define BLOOD                 GCONST(BLOOD)
#define BROWN_SLIME           GCONST(BROWN_SLIME)
#define POISON_LIQUID         GCONST(POISON_LIQUID)
#define VALDEMAR              GCONST(VALDEMAR)
#define ANTIDOTE_LIQUID       GCONST(ANTIDOTE_LIQUID)
#define VODKA                 GCONST(VODKA)
#define TROLL_BLOOD           GCONST(TROLL_BLOOD)
#define DARK_FROG_BLOOD       GCONST(DARK_FROG_BLOOD)
#define SPIDER_BLOOD          GCONST(SPIDER_BLOOD)
#define VOMIT                 GCONST(VOMIT)
#define ACIDOUS_BLOOD         GCONST(ACIDOUS_BLOOD)
#define SULPHURIC_ACID        GCONST(SULPHURIC_ACID)
#define DOG_DROOL             GCONST(DOG_DROOL)
#define PEA_SOUP              GCONST(PEA_SOUP)
#define OMMEL_SWEAT           GCONST(OMMEL_SWEAT)
#define OMMEL_TEARS           GCONST(OMMEL_TEARS)
#define OMMEL_SNOT            GCONST(OMMEL_SNOT)
#define SWEAT                 GCONST(SWEAT)
#define GLOWING_BLOOD         GCONST(GLOWING_BLOOD)
#define YELLOW_SLIME          GCONST(YELLOW_SLIME)
#define SICK_BLOOD            GCONST(SICK_BLOOD)
#define MUSTARD_GAS_LIQUID    GCONST(MUSTARD_GAS_LIQUID)
#define OMMEL_VOMIT           GCONST(OMMEL_VOMIT)
#define LIQUID_HORROR         GCONST(LIQUID_HORROR)
#define LIQUID_DARKNESS       GCONST(LIQUID_DARKNESS)
#define VINEGAR               GCONST(VINEGAR)
#define OMMEL_BLOOD           GCONST(OMMEL_BLOOD)
#define CURDLED_OMMEL_BLOOD   GCONST(CURDLED_OMMEL_BLOOD)
#define ECTOPLASM_LIQUID      GCONST(ECTOPLASM_LIQUID)
// alien mod
#define ALIEN_BLOOD   (game::FindGlobalValue(CONST_S("ALIEN_BLOOD"), -666))
#define ALIEN_DROOL   (game::FindGlobalValue(CONST_S("ALIEN_DROOL"), -666))

#define FIRST_LIQUID  GCONST(FIRST_LIQUID)
#define LAST_LIQUID   GCONST(LAST_LIQUID)


#define FLESH_ID                GCONST(FLESH_ID)
#define GOBLINOID_FLESH         GCONST(GOBLINOID_FLESH)
#define PORK                    GCONST(PORK)
#define BEEF                    GCONST(BEEF)
#define FROG_FLESH              GCONST(FROG_FLESH)
#define ELPURI_FLESH            GCONST(ELPURI_FLESH)
#define HUMAN_FLESH             GCONST(HUMAN_FLESH)
#define DOLPHIN_FLESH           GCONST(DOLPHIN_FLESH)
#define BEAR_FLESH              GCONST(BEAR_FLESH)
#define WOLF_FLESH              GCONST(WOLF_FLESH)
#define DOG_FLESH               GCONST(DOG_FLESH)
#define ENNER_BEAST_FLESH       GCONST(ENNER_BEAST_FLESH)
#define SPIDER_FLESH            GCONST(SPIDER_FLESH)
#define JACKAL_FLESH            GCONST(JACKAL_FLESH)
#define MUTANT_ASS_FLESH        GCONST(MUTANT_ASS_FLESH)
#define BAT_FLESH               GCONST(BAT_FLESH)
#define WEREWOLF_FLESH          GCONST(WEREWOLF_FLESH)
#define KOBOLD_FLESH            GCONST(KOBOLD_FLESH)
#define GIBBERLING_FLESH        GCONST(GIBBERLING_FLESH)
#define CAT_FLESH               GCONST(CAT_FLESH)
#define RAT_FLESH               GCONST(RAT_FLESH)
#define ANGEL_FLESH             GCONST(ANGEL_FLESH)
#define DWARF_FLESH             GCONST(DWARF_FLESH)
#define DAEMON_FLESH            GCONST(DAEMON_FLESH)
#define MAMMOTH_FLESH           GCONST(MAMMOTH_FLESH)
#define BLACK_UNICORN_FLESH     GCONST(BLACK_UNICORN_FLESH)
#define GRAY_UNICORN_FLESH      GCONST(GRAY_UNICORN_FLESH)
#define WHITE_UNICORN_FLESH     GCONST(WHITE_UNICORN_FLESH)
#define LION_FLESH              GCONST(LION_FLESH)
#define BUFFALO_FLESH           GCONST(BUFFALO_FLESH)
#define SNAKE_FLESH             GCONST(SNAKE_FLESH)
#define ORC_FLESH               GCONST(ORC_FLESH)
#define OSTRICH_FLESH           GCONST(OSTRICH_FLESH)
#define CHAMELEON_FLESH         GCONST(CHAMELEON_FLESH)
#define FLOATING_EYE_FLESH      GCONST(FLOATING_EYE_FLESH)
#define MUSHROOM_FLESH          GCONST(MUSHROOM_FLESH)
#define MOOSE_FLESH             GCONST(MOOSE_FLESH)
#define MAGPIE_FLESH            GCONST(MAGPIE_FLESH)
#define SKUNK_FLESH             GCONST(SKUNK_FLESH)
#define HEDGEHOG_FLESH          GCONST(HEDGEHOG_FLESH)
#define MUTANT_BUNNY_FLESH      GCONST(MUTANT_BUNNY_FLESH)
#define HATTIFATTENER_FLESH     GCONST(HATTIFATTENER_FLESH)
#define BLINK_DOG_FLESH         GCONST(BLINK_DOG_FLESH)
#define MAGIC_MUSHROOM_FLESH    GCONST(MAGIC_MUSHROOM_FLESH)
#define SICK_SPIDER_FLESH       GCONST(SICK_SPIDER_FLESH)
#define MIND_WORM_FLESH         GCONST(MIND_WORM_FLESH)
#define MUTANT_HEDGEHOG_FLESH   GCONST(MUTANT_HEDGEHOG_FLESH)
#define EAGLE_FLESH             GCONST(EAGLE_FLESH)
#define KABOUTER_FLESH          GCONST(KABOUTER_FLESH)
#define ULDRA_FLESH             GCONST(ULDRA_FLESH)
#define OKAPI_FLESH             GCONST(OKAPI_FLESH)
#define VAMPIRE_FLESH           GCONST(VAMPIRE_FLESH)
#define MOUSE_FLESH             GCONST(MOUSE_FLESH)
#define FOX_FLESH               GCONST(FOX_FLESH)
#define THUNDER_BIRD_FLESH      GCONST(THUNDER_BIRD_FLESH)
#define ELF_FLESH               GCONST(ELF_FLESH)
// alien mod
#define ALIEN_FLESH   (game::FindGlobalValue("ALIEN_FLESH", -666))


#define POWDER_ID   GCONST(POWDER_ID)
#define GUN_POWDER  GCONST(GUN_POWDER)
#define SNOW        GCONST(SNOW)
#define SAND        GCONST(SAND)


#define IRON_ALLOY_ID   GCONST(IRON_ALLOY_ID)
#define IRON            GCONST(IRON)
#define STEEL           GCONST(STEEL)
#define METEORIC_STEEL  GCONST(METEORIC_STEEL)
#define ADAMANT         GCONST(ADAMANT)
#define DAMASCUS_STEEL  GCONST(DAMASCUS_STEEL)
#define STAR_METAL      GCONST(STAR_METAL)
#define MOON_SILVER     GCONST(MOON_SILVER)


#define LONG_SWORD                GCONST(LONG_SWORD)
#define TWO_HANDED_SWORD          GCONST(TWO_HANDED_SWORD)
#define TWO_HANDED_SCIMITAR       GCONST(TWO_HANDED_SCIMITAR)
#define SPEAR                     GCONST(SPEAR)
#define AXE                       GCONST(AXE)
#define HALBERD                   GCONST(HALBERD)
#define MACE                      GCONST(MACE)
#define WAR_HAMMER                GCONST(WAR_HAMMER)
#define SICKLE                    GCONST(SICKLE)
#define DAGGER                    GCONST(DAGGER)
#define SHORT_SWORD               GCONST(SHORT_SWORD)
#define BASTARD_SWORD             GCONST(BASTARD_SWORD)
#define BATTLE_AXE                GCONST(BATTLE_AXE)
#define SCYTHE                    GCONST(SCYTHE)
#define QUARTER_STAFF             GCONST(QUARTER_STAFF)
#define HAMMER                    GCONST(HAMMER)
#define KNIGHT_SWORD              GCONST(KNIGHT_SWORD)
#define KATANA                    GCONST(KATANA)
#define SPETUM                    GCONST(SPETUM)
#define TIP_SWORD                 GCONST(TIP_SWORD)
#define KNUCKLE                   GCONST(KNUCKLE)
#define RAPIER                    GCONST(RAPIER)
#define GREAT_AXE                 GCONST(GREAT_AXE)
#define GRAND_STOLLEN_KNIFE       GCONST(GRAND_STOLLEN_KNIFE)
#define CLAW                      GCONST(CLAW)
#define LOST_RUBY_FLAMING_SWORD   GCONST(LOST_RUBY_FLAMING_SWORD)


#define GOROVITS_HAMMER     GCONST(GOROVITS_HAMMER)
#define GOROVITS_SICKLE     GCONST(GOROVITS_SICKLE)
#define GOROVITS_SCIMITAR   GCONST(GOROVITS_SCIMITAR)

#define ROYAL_STAFF   GCONST(ROYAL_STAFF)

#define CHAIN_MAIL              GCONST(CHAIN_MAIL)
#define PLATE_MAIL              GCONST(PLATE_MAIL)
#define ARMOR_OF_GREAT_HEALTH   GCONST(ARMOR_OF_GREAT_HEALTH)
#define DRAGON_CUIRASS          GCONST(DRAGON_CUIRASS)
#define ARMOR_OF_THE_OMMEL      GCONST(ARMOR_OF_THE_OMMEL)
#define FILTHY_TUNIC            GCONST(FILTHY_TUNIC)


#define CHEAP       GCONST(CHEAP)
#define EXPENSIVE   GCONST(EXPENSIVE)


#define WAND_OF_POLYMORPH       GCONST(WAND_OF_POLYMORPH)
#define WAND_OF_STRIKING        GCONST(WAND_OF_STRIKING)
#define WAND_OF_FIRE_BALLS      GCONST(WAND_OF_FIRE_BALLS)
#define WAND_OF_TELEPORTATION   GCONST(WAND_OF_TELEPORTATION)
#define WAND_OF_HASTE           GCONST(WAND_OF_HASTE)
#define WAND_OF_SLOW            GCONST(WAND_OF_SLOW)
#define WAND_OF_RESURRECTION    GCONST(WAND_OF_RESURRECTION)
#define WAND_OF_DOOR_CREATION   GCONST(WAND_OF_DOOR_CREATION)
#define WAND_OF_INVISIBILITY    GCONST(WAND_OF_INVISIBILITY)
#define WAND_OF_CLONING         GCONST(WAND_OF_CLONING)
#define WAND_OF_LIGHTNING       GCONST(WAND_OF_LIGHTNING)
#define WAND_OF_ACID_RAIN       GCONST(WAND_OF_ACID_RAIN)
#define WAND_OF_MIRRORING       GCONST(WAND_OF_MIRRORING)
#define WAND_OF_NECROMANCY      GCONST(WAND_OF_NECROMANCY)


#define RUNED_WHIP  GCONST(RUNED_WHIP)

#define BIG_MINE  GCONST(BIG_MINE)

#define CLOAK_OF_INVISIBILITY             GCONST(CLOAK_OF_INVISIBILITY)
#define CLOAK_OF_FIRE_RESISTANCE          GCONST(CLOAK_OF_FIRE_RESISTANCE)
#define CLOAK_OF_ELECTRICITY_RESISTANCE   GCONST(CLOAK_OF_ELECTRICITY_RESISTANCE)
#define CLOAK_OF_ACID_RESISTANCE          GCONST(CLOAK_OF_ACID_RESISTANCE)
#define CLOAK_OF_WERE_WOLF_FUR            GCONST(CLOAK_OF_WERE_WOLF_FUR)
#define CLOAK_OF_SHADOWS                  GCONST(CLOAK_OF_SHADOWS)


#define BOOT_OF_STRENGTH      GCONST(BOOT_OF_STRENGTH)
#define BOOT_OF_AGILITY       GCONST(BOOT_OF_AGILITY)
#define BOOT_OF_KICKING       GCONST(BOOT_OF_KICKING)
#define BOOT_OF_DISPLACEMENT  GCONST(BOOT_OF_DISPLACEMENT)


#define GAUNTLET_OF_STRENGTH    GCONST(GAUNTLET_OF_STRENGTH)
#define GAUNTLET_OF_DEXTERITY   GCONST(GAUNTLET_OF_DEXTERITY)


#define RING_OF_FIRE_RESISTANCE         GCONST(RING_OF_FIRE_RESISTANCE)
#define RING_OF_POLYMORPH_CONTROL       GCONST(RING_OF_POLYMORPH_CONTROL)
#define RING_OF_INFRA_VISION            GCONST(RING_OF_INFRA_VISION)
#define RING_OF_TELEPORTATION           GCONST(RING_OF_TELEPORTATION)
#define RING_OF_TELEPORT_CONTROL        GCONST(RING_OF_TELEPORT_CONTROL)
#define RING_OF_POLYMORPH               GCONST(RING_OF_POLYMORPH)
#define RING_OF_POISON_RESISTANCE       GCONST(RING_OF_POISON_RESISTANCE)
#define RING_OF_INVISIBILITY            GCONST(RING_OF_INVISIBILITY)
#define RING_OF_ELECTRICITY_RESISTANCE  GCONST(RING_OF_ELECTRICITY_RESISTANCE)
#define RING_OF_SEARCHING               GCONST(RING_OF_SEARCHING)
#define RING_OF_ACID_RESISTANCE         GCONST(RING_OF_ACID_RESISTANCE)
#define RING_OF_WORM                    GCONST(RING_OF_WORM)


#define AMULET_OF_LIFE_SAVING   GCONST(AMULET_OF_LIFE_SAVING)
#define AMULET_OF_ESP           GCONST(AMULET_OF_ESP)
#define AMULET_OF_WARDING       GCONST(AMULET_OF_WARDING)
#define AMULET_OF_VANITY        GCONST(AMULET_OF_VANITY)


#define FULL_HELMET               GCONST(FULL_HELMET)
#define HELM_OF_PERCEPTION        GCONST(HELM_OF_PERCEPTION)
#define HELM_OF_UNDERSTANDING     GCONST(HELM_OF_UNDERSTANDING)
#define HELM_OF_BRILLIANCE        GCONST(HELM_OF_BRILLIANCE)
#define HELM_OF_ATTRACTIVITY      GCONST(HELM_OF_ATTRACTIVITY)
#define GOROVITS_FAMILY_GAS_MASK  GCONST(GOROVITS_FAMILY_GAS_MASK)


#define BELT_OF_CARRYING    GCONST(BELT_OF_CARRYING)
#define BELT_OF_LEVITATION  GCONST(BELT_OF_LEVITATION)


#define SMALL_CHEST       GCONST(SMALL_CHEST)
#define CHEST             GCONST(CHEST)
#define LARGE_CHEST       GCONST(LARGE_CHEST)
#define STRONG_BOX        GCONST(STRONG_BOX)
#define MAGIC_CHEST       GCONST(MAGIC_CHEST)
#define EMPTY_STRONG_BOX  GCONST(EMPTY_STRONG_BOX)


#define BRAVERY     GCONST(BRAVERY)
#define FEAR        GCONST(FEAR)
#define CONFUSION   GCONST(CONFUSION)
#define HEALING     GCONST(HEALING)
#define PLENTY      GCONST(PLENTY)


#define ROOKIE              GCONST(ROOKIE)
#define VETERAN             GCONST(VETERAN)
#define EUNUCH              GCONST(EUNUCH)
#define PATROL              GCONST(PATROL)
#define SHOP                GCONST(SHOP)
#define ELITE               GCONST(ELITE)
#define MASTER              GCONST(MASTER)
#define GRAND_MASTER        GCONST(GRAND_MASTER)
#define MONDEDR_GUARD       GCONST(MONDEDR_GUARD)
#define DWARVEN_GUARD       GCONST(DWARVEN_GUARD)
#define SENTINEL            GCONST(SENTINEL)
#define FOREST_SHOP         GCONST(FOREST_SHOP)
#define TOMB_ENTRY          GCONST(TOMB_ENTRY)
#define TOMB_ENTRY_MASTER   GCONST(TOMB_ENTRY_MASTER)
#define HONOR               GCONST(HONOR)
#define EMISSARY            GCONST(EMISSARY)
#define TRAINEE             GCONST(TRAINEE)

#define ENQUIOX   GCONST(ENQUIOX)

#define DARK            GCONST(DARK)
#define GREATER_DARK    GCONST(GREATER_DARK)
#define GIANT_DARK      GCONST(GIANT_DARK)
#define LIGHT           GCONST(LIGHT)
#define GREATER_LIGHT   GCONST(GREATER_LIGHT)
#define GIANT_LIGHT     GCONST(GIANT_LIGHT)


#define WARRIOR   GCONST(WARRIOR)
#define WAR_LORD  GCONST(WAR_LORD)


#define BERSERKER       GCONST(BERSERKER)
#define BUTCHER         GCONST(BUTCHER)
#define PRINCE          GCONST(PRINCE)
#define KING            GCONST(KING)
#define JAILER          GCONST(JAILER)
#define PRISON_WARDEN   GCONST(PRISON_WARDEN)


#define CONICAL   GCONST(CONICAL)
#define FLAT      GCONST(FLAT)


#define BLACK_BEAR    GCONST(BLACK_BEAR)
#define GRIZZLY_BEAR  GCONST(GRIZZLY_BEAR)
#define CAVE_BEAR     GCONST(CAVE_BEAR)
#define POLAR_BEAR    GCONST(POLAR_BEAR)
#define PANDA_BEAR    GCONST(PANDA_BEAR)


#define ZOMBIE_OF_KHAZ_ZADM   GCONST(ZOMBIE_OF_KHAZ_ZADM)


#define TORTURING_CHIEF   GCONST(TORTURING_CHIEF)
#define WHIP_CHAMPION     GCONST(WHIP_CHAMPION)
#define WAR_LADY          GCONST(WAR_LADY)
#define QUEEN             GCONST(QUEEN)


#define CHIEFTAIN   GCONST(CHIEFTAIN)
#define LORD        GCONST(LORD)
#define PATRIARCH   GCONST(PATRIARCH)


#define AMBULATORY  GCONST(AMBULATORY)


#define GREATER     GCONST(GREATER)
#define GIANTIC     GCONST(GIANTIC)
#define SHAMBLING   GCONST(SHAMBLING)
#define LILY        GCONST(LILY)


#define SKELETON_DOG  GCONST(SKELETON_DOG)
#define PUPPY_SKULL   GCONST(PUPPY_SKULL)


#define SLAUGHTERER   GCONST(SLAUGHTERER)
#define SQUAD_LEADER  GCONST(SQUAD_LEADER)
#define OFFICER       GCONST(OFFICER)
#define GENERAL       GCONST(GENERAL)
#define MARSHAL       GCONST(MARSHAL)


#define APPRENTICE    GCONST(APPRENTICE)
#define BATTLE_MAGE   GCONST(BATTLE_MAGE)
#define ELDER         GCONST(ELDER)
#define ARCH_MAGE     GCONST(ARCH_MAGE)


#define ROVER         GCONST(ROVER)
#define BAND_LEADER   GCONST(BAND_LEADER)


#define FIELD_MOUSE       GCONST(FIELD_MOUSE)
#define LABORATORY_MOUSE  GCONST(LABORATORY_MOUSE)


#define THIN_PIG  GCONST(THIN_PIG)


#define STARVED_OX  GCONST(STARVED_OX)


#define FLOATIE   GCONST(FLOATIE)


#define SONIC   GCONST(SONIC)


/* Least significant bit defines sex */
#define BABY_MALE     GCONST(BABY_MALE)
#define BABY_FEMALE   GCONST(BABY_FEMALE)
#define ADULT_MALE    GCONST(ADULT_MALE)
#define ADULT_FEMALE  GCONST(ADULT_FEMALE)


#define APPRENTICE_NECROMANCER  GCONST(APPRENTICE_NECROMANCER)
#define MASTER_NECROMANCER      GCONST(MASTER_NECROMANCER)
#define IMPRISONED_NECROMANCER  GCONST(IMPRISONED_NECROMANCER)


#define HUSBAND   GCONST(HUSBAND)
#define WIFE      GCONST(WIFE)
#define CHILD     GCONST(CHILD)


#define BOY   GCONST(BOY)
#define GIRL  GCONST(GIRL)


#define FRYING_PAN    GCONST(FRYING_PAN)
#define ROLLING_PIN   GCONST(ROLLING_PIN)


#define LIGHT_ASIAN_SIREN   GCONST(LIGHT_ASIAN_SIREN)
#define DARK_ASIAN_SIREN    GCONST(DARK_ASIAN_SIREN)
#define CAUCASIAN_SIREN     GCONST(CAUCASIAN_SIREN)
#define DARK_SIREN          GCONST(DARK_SIREN)
#define GREEN_SIREN         GCONST(GREEN_SIREN)

#define AMBASSADOR_SIREN    GCONST(AMBASSADOR_SIREN)
#define REPRESENTATIVE      GCONST(REPRESENTATIVE)


#define PARQUET             GCONST(PARQUET)
#define FLOOR               GCONST(FLOOR)
#define GROUND              GCONST(GROUND)
#define GRASS_TERRAIN       GCONST(GRASS_TERRAIN)
#define LANDING_SITE        GCONST(LANDING_SITE)
#define SNOW_TERRAIN        GCONST(SNOW_TERRAIN)
#define DARK_GRASS_TERRAIN  GCONST(DARK_GRASS_TERRAIN)
#define SAND_TERRAIN        GCONST(SAND_TERRAIN)
#define DEAD_GRASS_TERRAIN  GCONST(DEAD_GRASS_TERRAIN)


#define POOL              GCONST(POOL)
#define UNDERGROUND_LAKE  GCONST(UNDERGROUND_LAKE)


#define BRICK_FINE                  GCONST(BRICK_FINE)
#define BRICK_PROPAGANDA            GCONST(BRICK_PROPAGANDA)
#define BRICK_OLD                   GCONST(BRICK_OLD)
#define BRICK_PRIMITIVE             GCONST(BRICK_PRIMITIVE)
#define BRICK_PRIMITIVE_PROPAGANDA  GCONST(BRICK_PRIMITIVE_PROPAGANDA)
#define STONE_WALL                  GCONST(STONE_WALL)
#define ICE_WALL                    GCONST(ICE_WALL)
#define BROKEN_WALL                 GCONST(BROKEN_WALL)


#define PINE          GCONST(PINE)
#define FIR           GCONST(FIR)
#define HOLY_TREE     GCONST(HOLY_TREE)
#define CARPET        GCONST(CARPET)
#define COUCH         GCONST(COUCH)
#define DOUBLE_BED    GCONST(DOUBLE_BED)
#define POOL_BORDER   GCONST(POOL_BORDER)
#define POOL_CORNER   GCONST(POOL_CORNER)
#define PALM          GCONST(PALM)
#define SNOW_PINE     GCONST(SNOW_PINE)
#define SNOW_FIR      GCONST(SNOW_FIR)
#define ANVIL         GCONST(ANVIL)
#define SHARD         GCONST(SHARD)
#define CACTUS        GCONST(CACTUS)
#define OAK           GCONST(OAK)
#define BIRCH         GCONST(BIRCH)
#define TEAK          GCONST(TEAK)
#define DWARF_BIRCH   GCONST(DWARF_BIRCH)

#define ARM_CHAIR       GCONST(ARM_CHAIR)
#define BANANA_TREE     GCONST(BANANA_TREE)
#define BENCH           GCONST(BENCH)
#define CHAIR           GCONST(CHAIR)
#define CHEAP_BED       GCONST(CHEAP_BED)
#define DEAD_TREE       GCONST(DEAD_TREE)
#define DESK            GCONST(DESK)
#define EXPENSIVE_BED   GCONST(EXPENSIVE_BED)
#define FORGE           GCONST(FORGE)
#define FURNACE         GCONST(FURNACE)
#define OVEN            GCONST(OVEN)
#define PEDESTAL        GCONST(PEDESTAL)
#define PLAIN_BED       GCONST(PLAIN_BED)
#define SHACKLES        GCONST(SHACKLES)
#define STRANGE_TREE    GCONST(STRANGE_TREE)
#define TABLE           GCONST(TABLE)
#define TORTURE_RACK    GCONST(TORTURE_RACK)
#define WELL            GCONST(WELL)
#define WOODEN_HORSE    GCONST(WOODEN_HORSE)
#define WORK_BENCH      GCONST(WORK_BENCH)
#define SNOW_BOULDER    GCONST(SNOW_BOULDER)

#define STAIRS_UP               GCONST(STAIRS_UP)
#define STAIRS_DOWN             GCONST(STAIRS_DOWN)
#define OREE_LAIR_ENTRY         GCONST(OREE_LAIR_ENTRY)
#define OREE_LAIR_EXIT          GCONST(OREE_LAIR_EXIT)
#define SUMO_ARENA_ENTRY        GCONST(SUMO_ARENA_ENTRY)
#define SUMO_ARENA_EXIT         GCONST(SUMO_ARENA_EXIT)
#define KHARAZ_ARAD_ENTRY       GCONST(KHARAZ_ARAD_ENTRY)
#define KHARAZ_ARAD_EXIT        GCONST(KHARAZ_ARAD_EXIT)
#define WAYPOINT_DEEPER         GCONST(WAYPOINT_DEEPER)
#define WAYPOINT_SHALLOWER      GCONST(WAYPOINT_SHALLOWER)
#define XINROCH_TOMB_ENTRANCE   GCONST(XINROCH_TOMB_ENTRANCE)
#define XINROCH_TOMB_EXIT       GCONST(XINROCH_TOMB_EXIT)
#define FOUNTAIN                GCONST(FOUNTAIN)


#define BOOK_CASE         GCONST(BOOK_CASE)
#define CHEST_OF_DRAWERS  GCONST(CHEST_OF_DRAWERS)
#define SHELF             GCONST(SHELF)

#define BROKEN_BARWALL    GCONST(BROKEN_BARWALL)

#define BARDOOR           GCONST(BARDOOR)
#define SECRET_DOOR       GCONST(SECRET_DOOR)


#define ROOM_NORMAL             GCONST(ROOM_NORMAL)
#define ROOM_SHOP               GCONST(ROOM_SHOP)
#define ROOM_CATHEDRAL          GCONST(ROOM_CATHEDRAL)
#define ROOM_LIBRARY            GCONST(ROOM_LIBRARY)
#define ROOM_BANANA_DROP_AREA   GCONST(ROOM_BANANA_DROP_AREA)
#define ROOM_SUMO_ARENA         GCONST(ROOM_SUMO_ARENA)
#define ROOM_VAULT              GCONST(ROOM_VAULT)
#define ROOM_OWNED_AREA         GCONST(ROOM_OWNED_AREA)
#define ROOM_GUARDED_AREA       GCONST(ROOM_GUARDED_AREA)


#define ALL_DUNGEONS    (32767)


#endif
